#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-tasty-sugar-z-tasty-sugar-internal
version:              1.1.1.0
package-name:         tasty-sugar
lib-name:             tasty-sugar-internal
id:
    tasty-sugar-1.1.1.0-1nO4VQpHqGnFcnkZp2Er1h-tasty-sugar-internal

key:
    tasty-sugar-1.1.1.0-1nO4VQpHqGnFcnkZp2Er1h-tasty-sugar-internal

license:              ISC
copyright:            Kevin Quick, 2019-2021
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  41a5548c3af8aeba1ded5cba4ae51675
exposed-modules:
    Test.Tasty.Sugar.Analysis Test.Tasty.Sugar.AssocCheck
    Test.Tasty.Sugar.ExpectCheck Test.Tasty.Sugar.ParamCheck
    Test.Tasty.Sugar.Report Test.Tasty.Sugar.RootCheck
    Test.Tasty.Sugar.Types

import-dirs:          /usr/lib/ghc-9.0.1/site-local/tasty-sugar-1.1.1.0
library-dirs:         /usr/lib/ghc-9.0.1/site-local/tasty-sugar-1.1.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/tasty-sugar-1.1.1.0
hs-libraries:
    HStasty-sugar-1.1.1.0-1nO4VQpHqGnFcnkZp2Er1h-tasty-sugar-internal

depends:
    base-4.15.0.0 filemanip-0.3.6.3-9HSLVgy3OVqELBuqMKrdxv
    filepath-1.4.2.1 kvitable-1.0.0.0-AdspU0iHvhwEEHIWfiishu
    logict-0.7.1.0-1YPNG8DZW6pBB230m5zpf
    microlens-0.4.12.0-IoK2ncpVKVzEwRUasmz5D3
    prettyprinter-1.7.1-IOQCxsXofU13oWbyVi9CJ2 text-1.2.4.1

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tasty-sugar
version:              1.1.1.0
visibility:           public
id:                   tasty-sugar-1.1.1.0-LHTNt4yN9Ak8KkGusywpwg
key:                  tasty-sugar-1.1.1.0-LHTNt4yN9Ak8KkGusywpwg
license:              ISC
copyright:            Kevin Quick, 2019-2021
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  b6fface208856971797358698b3f7f7f
exposed:              True
exposed-modules:      Test.Tasty.Sugar
import-dirs:          /usr/lib/ghc-9.0.1/site-local/tasty-sugar-1.1.1.0
library-dirs:         /usr/lib/ghc-9.0.1/site-local/tasty-sugar-1.1.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/tasty-sugar-1.1.1.0
hs-libraries:         HStasty-sugar-1.1.1.0-LHTNt4yN9Ak8KkGusywpwg
depends:
    base-4.15.0.0 directory-1.3.6.1
    filemanip-0.3.6.3-9HSLVgy3OVqELBuqMKrdxv filepath-1.4.2.1
    logict-0.7.1.0-1YPNG8DZW6pBB230m5zpf
    optparse-applicative-0.16.1.0-6S7Llse6zn89jhOFhfBMKP
    prettyprinter-1.7.1-IOQCxsXofU13oWbyVi9CJ2
    tagged-0.8.6.1-FL843C40q4d1DeuwYADr25
    tasty-1.4.2-47T60bHjdIkFrvrjYVuxUU
    tasty-sugar-1.1.1.0-1nO4VQpHqGnFcnkZp2Er1h-tasty-sugar-internal
    text-1.2.4.1

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

